#ifndef DEVICE_TYPES_H
#define DEVICE_TYPES_H
/*
 * Eprom Programmer
 *
 * Copyright 1996-2007 netFluid Technology Ltd
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.2 $  $Date: 2007/02/15 19:05:22 $
 * 
 * --------------------------------------------------------------------------
 */
#include "ceprog.h"

Device knownDevices[] = 
{
    { "M27C256B-45XF1", 32768, "ST Microelectronics", 28, 12.75, 6.25, 100, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M27C256", 32768, "National Semiconductor", 28, 13.00, 6.00, 50, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M27C256", 32768, "Philips", 28, 12.50, 6.00, 100, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M27C256", 32768, "Microchip", 28, 13.00, 6.50, 100, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M27C256", 32768, "General Semiconductor", 28, 12.75, 6.25, 100, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M5L27128K", 16384, "Mitsubishi Electric Corporation", 28, 21.00, 6.25, 100, 25, 0, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, CE },
    { "M27128A", 16384, "SGS Thomson Microelectronics", 28, 12.50, 6.00, 1000, 25, 3000, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, A14 },
    { "M2764A", 8192, "ST Microelectronics", 28, 12.50, 6.00, 1000, 25, 3000, {VPP,A12,A7,A6,A5,A4,A3,A2,A1,A0,Q0,Q1,Q2,VSS,Q3,Q4,Q5,Q6,Q7,CE,A10,OE,A11,A9,A8,A13,A14,VCC}, A14 },
    { NULL }

};

/* ------------------------------------------------------------------------- */
#endif
